import standard from "./modules/standard"

const getters = {
  sidebar: state => state.app.sidebar,
  size: state => state.app.size,
  device: state => state.app.device,
  dict: state => state.dict.dict,
  visitedViews: state => state.tagsView.visitedViews,
  cachedViews: state => state.tagsView.cachedViews,
  token: state => state.user.token,
  avatar: state => state.user.avatar,
  name: state => state.user.name,
  userId: state => state.user.id,
  introduction: state => state.user.introduction,
  roles: state => state.user.roles,
  permissions: state => state.user.permissions,
  permission_routes: state => state.permission.routes,
  topbarRouters: state => state.permission.topbarRouters,
  defaultRoutes: state => state.permission.defaultRoutes,
  sidebarRouters: state => state.permission.sidebarRouters,
  companyFiles: state => state.processing.companyFiles,
  standard: state => state.standard.standard,
  standard_type: state => state.standard.standard_type,
  standard_chapter: state => state.standard.standard_chapter,
  standard_name: state => state.standard.standard_name,
  standardObj: state=>state.standard.standardObj,
  initStandard: state=>state.standard.initStandard,
  standardList: state => state.standard.standardList,
  testScenarioList: state => state.testScenario.testScenarioList,
  dept: state => state.user.dept
}
export default getters
